using Newtonsoft.Json;
using System.Collections.Generic;

public sealed class PlayerData
{
    [JsonProperty("name")]
    public string Name;
    [JsonProperty("turn")]
    public int Turn;
    [JsonProperty("current")]
    public int CurrentNavigationPointId;
    [JsonProperty("star_ship")]
    public StarShipData StarShip;
    [JsonProperty("star_system")]
    public StarSystemData StarSystem;
    [JsonProperty("credits")]
    public int Credits;
    [JsonProperty("last_costs")]
    public Dictionary<string, float> LastCosts;
}
